summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorJozsef Kadlecsik <kadlec@blackhole.kfki.hu>2010-04-22 17:14:21 +0200
committerJozsef Kadlecsik <kadlec@blackhole.kfki.hu>2010-04-22 17:14:21 +0200
commit62f71e22a1db90eee62ea9688f0c77cb6cf5ccae (patch)
tree73442db9c9c96f9bee4e318b8a3afc58fea01ef7 /autogen.sh
parent9638135a8ea91a157a68148fb1d84edec52c313b (diff)
Tenth stage to ipset-5
Add new test files and toplevel files.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..d65b0b7
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+run ()
+{
+ echo "running: $*"
+ eval $*
+
+ if test $? != 0 ; then
+ echo "error: while running '$*'"
+ exit 1
+ fi
+}
+
+run aclocal
+run autoheader
+run libtoolize -f
+run automake -a
+run autoconf